Mailinglist Archive: opensuse-commit (2092 mails)

< Previous Next >
commit perl-YAML
  • From: root@xxxxxxxxxxxxxxx (h_root)
  • Date: Tue, 07 Aug 2007 09:28:29 +0200
  • Message-id: <20070807072829.AF599678180@xxxxxxxxxxxxxxx>

Hello community,

here is the log from the commit of package perl-YAML
checked in at Tue Aug 7 09:28:29 CEST 2007.

--------
--- perl-YAML/perl-YAML.changes 2006-10-26 13:23:54.000000000 +0200
+++ /mounts/work_src_done/STABLE/perl-YAML/perl-YAML.changes    2007-08-07 01:31:52.001094000 +0200
@@ -1,0 +2,15 @@
+Tue Jul 24 15:17:56 CEST 2007 - cwh@xxxxxxx
+
+- version 0.65
+  * \z is really \0
+  * Speed up regexp loading. audreyt++
+
+- version 0.64
+  * Better support for loading regexps. audreyt++
+
+- version 0.63
+  * Don't emit nodes blessed into '' in the new tag scheme, and improve semantics
+    of loading such nodes.
+  * New support for dumping/loading regexps.
+
+-------------------------------------------------------------------
@@ -4,44 +19,28 @@
-version: 0.62
-date:    Mon Jul  3 15:41:20 PDT 2006
-changes:
-- Patch from rgs for Catalyst users
-
-version: 0.61
-date:    Sun Jul  2 15:25:08 CDT 2006
-changes:
-- New CGI.pm made test fail.
-
-version: 0.60
-date:    Fri Jun 30 21:55:55 CDT 2006
-changes:
-- Changed object tag format in non backwards compatible way
-- Removed support for folded scalar emission
-- Added new tests
-- Sync with YAML::Syck
-
-version: 0.58
-date:    Tue Feb 14 12:42:34 PST 2006
-changes:
-- Fixed bug reported by Slaven Rezic on 5.8.0
-- Fixed a ysh bug reported on rt. 17589
-
-version: 0.57
-date:    Wed Feb  1 23:06:25 PST 2006
-changes:
-- Add obligatory '1;' to end of each module.
-
-version: 0.56
-date:    Mon Jan 30 10:26:33 PST 2006
-change:
-- Add Module::Install::TestBase support
-
-version: 0.55
-date:    Sun Jan 29 19:03:35 PST 2006
-change:
-- Load YAML::Node because Module::Build expects it to be loaded.
-  We can undo this when Module::Build starts loading it for itself.
-
-version: 0.54
-date:    Sun Jan 29 17:28:46 PST 2006
-change:
-- Remove dependency on Class::Spiffy (and/or Spiffy).
+- version: 0.62
+  - Patch from rgs for Catalyst users
+
+- version: 0.61
+  - New CGI.pm made test fail.
+
+- version: 0.60
+  - Changed object tag format in non backwards compatible way
+  - Removed support for folded scalar emission
+  - Added new tests
+  - Sync with YAML::Syck
+
+- version: 0.58
+  - Fixed bug reported by Slaven Rezic on 5.8.0
+  - Fixed a ysh bug reported on rt. 17589
+
+- version: 0.57
+  - Add obligatory '1;' to end of each module.
+
+- version: 0.56
+  - Add Module::Install::TestBase support
+
+- version: 0.55
+  - Load YAML::Node because Module::Build expects it to be loaded.
+    We can undo this when Module::Build starts loading it for itself.
+
+- version: 0.54
+  - Remove dependency on Class::Spiffy (and/or Spiffy).

Old:
----
  YAML-0.62.tar.gz

New:
----
  YAML-0.65.tar.gz

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ perl-YAML.spec ++++++
--- /var/tmp/diff_new_pack.yW6232/_old  2007-08-07 09:28:06.000000000 +0200
+++ /var/tmp/diff_new_pack.yW6232/_new  2007-08-07 09:28:06.000000000 +0200
@@ -1,7 +1,7 @@
 #
-# spec file for package perl-YAML (Version 0.62)
+# spec file for package perl-YAML (Version 0.65)
 #
-# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
 # This file and all modifications and additions to the pristine
 # package are under the same license as the package itself.
 #
@@ -18,7 +18,7 @@
 Requires:       perl = %{perl_version} 
 Autoreqprov:    on
 Summary:        YAML - YAML Ain't Markup Language (tm)
-Version:        0.62
+Version:        0.65
 Release:        1
 Source:         YAML-%{version}.tar.gz
 BuildRoot:      %{_tmppath}/%{name}-%{version}-build
@@ -36,13 +36,13 @@
 
 %prep
 %setup -n YAML-%{version}
-# ---------------------------------------------------------------------------
 
 %build
 perl Makefile.PL
 make
+
+%check
 make test
-# ---------------------------------------------------------------------------
 
 %install
 rm -rf $RPM_BUILD_ROOT
@@ -89,45 +89,39 @@
 %doc %{_mandir}/man3/Test::YAML.3pm.gz
 /var/adm/perl-modules/%{name}
 
-%changelog -n perl-YAML
+%changelog
+* Tue Jul 24 2007 - cwh@xxxxxxx
+- version 0.65
+  * \z is really \0
+  * Speed up regexp loading. audreyt++
+- version 0.64
+  * Better support for loading regexps. audreyt++
+- version 0.63
+  * Don't emit nodes blessed into '' in the new tag scheme, and improve semantics
+  of loading such nodes.
+  * New support for dumping/loading regexps.
 * Thu Oct 26 2006 - cwh@xxxxxxx
-  version: 0.62
-  date:    Mon Jul  3 15:41:20 PDT 2006
-  changes:
-- Patch from rgs for Catalyst users
-  version: 0.61
-  date:    Sun Jul  2 15:25:08 CDT 2006
-  changes:
-- New CGI.pm made test fail.
-  version: 0.60
-  date:    Fri Jun 30 21:55:55 CDT 2006
-  changes:
-- Changed object tag format in non backwards compatible way
-- Removed support for folded scalar emission
-- Added new tests
-- Sync with YAML::Syck
-  version: 0.58
-  date:    Tue Feb 14 12:42:34 PST 2006
-  changes:
-- Fixed bug reported by Slaven Rezic on 5.8.0
-- Fixed a ysh bug reported on rt. 17589
-  version: 0.57
-  date:    Wed Feb  1 23:06:25 PST 2006
-  changes:
-- Add obligatory '1;' to end of each module.
-  version: 0.56
-  date:    Mon Jan 30 10:26:33 PST 2006
-  change:
-- Add Module::Install::TestBase support
-  version: 0.55
-  date:    Sun Jan 29 19:03:35 PST 2006
-  change:
-- Load YAML::Node because Module::Build expects it to be loaded.
+- version: 0.62
+  - Patch from rgs for Catalyst users
+- version: 0.61
+  - New CGI.pm made test fail.
+- version: 0.60
+  - Changed object tag format in non backwards compatible way
+  - Removed support for folded scalar emission
+  - Added new tests
+  - Sync with YAML::Syck
+- version: 0.58
+  - Fixed bug reported by Slaven Rezic on 5.8.0
+  - Fixed a ysh bug reported on rt. 17589
+- version: 0.57
+  - Add obligatory '1;' to end of each module.
+- version: 0.56
+  - Add Module::Install::TestBase support
+- version: 0.55
+  - Load YAML::Node because Module::Build expects it to be loaded.
   We can undo this when Module::Build starts loading it for itself.
-  version: 0.54
-  date:    Sun Jan 29 17:28:46 PST 2006
-  change:
-- Remove dependency on Class::Spiffy (and/or Spiffy).
+- version: 0.54
+  - Remove dependency on Class::Spiffy (and/or Spiffy).
 * Fri Feb 17 2006 - cwh@xxxxxxx
 - Fixed dependency (wrong version of perl-Class-Spiffy)
 * Wed Jan 25 2006 - mls@xxxxxxx

++++++ YAML-0.62.tar.gz -> YAML-0.65.tar.gz ++++++
++++ 1989 lines of diff (skipped)


++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++



Remember to have fun...

---------------------------------------------------------------------
To unsubscribe, e-mail: opensuse-commit+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-commit+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages